Bug 1156418 (CVE-2014-8483) - CVE-2014-8483 quassel, konversation: out-of-bounds read on a heap-allocated array
Summary: CVE-2014-8483 quassel, konversation: out-of-bounds read on a heap-allocated a...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-8483
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1157341 (view as bug list)
Depends On: 1156421 1156420
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-24 12:30 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:26 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-10-24 12:30:58 UTC
It was reported [1] that there's an upstream commit [2] that fixes the issue [3] - it also fixes an out-of-bound read in quassel.

[1]: http://seclists.org/oss-sec/2014/q4/431
[2]: https://github.com/quassel/quassel/commit/8b5ecd226f9208af3074b33d3b7cf5e14f55b138
[3]: http://bugs.quassel-irc.org/issues/1314

Comment 1 Vasyl Kaigorodov 2014-10-24 12:31:23 UTC
Created quassel tracking bugs for this issue:

Affects: fedora-all [bug 1156420]
Affects: epel-all [bug 1156421]

Comment 2 Murray McAllister 2014-10-27 04:43:48 UTC
MITRE assigned CVE-2014-8483 to this issue (including for Konversation, bug 1157341):

http://seclists.org/oss-sec/2014/q4/448

Comment 3 Murray McAllister 2014-10-27 04:44:10 UTC
*** Bug 1157341 has been marked as a duplicate of this bug. ***

Comment 4 Murray McAllister 2014-11-05 00:08:28 UTC
KDE's advisory:

https://www.kde.org/info/security/advisory-20141104-1.txt

Comment 5 Fedora Update System 2014-11-12 02:34:42 UTC
konversation-1.5.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-11-15 09:10:32 UTC
konversation-1.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-15 09:22:41 UTC
konversation-1.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-11-18 08:10:54 UTC
konversation-1.3.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-19 07:50:28 UTC
konversation-1.5.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-08 02:35:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.